{
  "custom": {},
  "params": {
    "text": ""
  },
  "propConfig": {
    "params.text": {
      "paramDirection": "input",
      "persistent": true
    }
  },
  "props": {
    "defaultSize": {
      "height": 30,
      "width": 539
    }
  },
  "root": {
    "children": [
      {
        "meta": {
          "name": "text"
        },
        "position": {
          "basis": "30px",
          "grow": 1
        },
        "propConfig": {
          "props.style.fontSize": {
            "binding": {
              "config": {
                "path": "page.props.dimensions.viewport.width"
              },
              "transforms": [
                {
                  "code": "\tif(value \u003d\u003d 0):\n\t\treturn 20\n\telif(value \u003e\u003d600 and value\u003c800):\n\t\treturn 10\n\telif (value \u003e\u003d800 and value\u003c1300):\n\t\treturn 12.5\n\telif (value \u003e\u003d1300 and value\u003c\u003d1580):\n\t\treturn 15\n\telif(value \u003e 1580):\n\t\treturn 20\n\telse:\n\t\treturn 8\n\t\n\t",
                  "type": "script"
                }
              ],
              "type": "property"
            }
          },
          "props.text": {
            "binding": {
              "config": {
                "expression": "upper(translate({view.params.text}))"
              },
              "type": "expr"
            }
          }
        },
        "props": {
          "style": {
            "backgroundColor": "#004A98",
            "color": "#FFFFFF",
            "fontFamily": "Roboto",
            "fontWeight": "normal",
            "padding": 15,
            "paddingBottom": 20,
            "paddingTop": 20,
            "textAlign": "center"
          }
        },
        "type": "ia.display.label"
      }
    ],
    "meta": {
      "name": "root"
    },
    "props": {
      "direction": "column",
      "style": {
        "overflow": "hidden"
      }
    },
    "type": "ia.container.flex"
  }
}